Bug 117833 - RFE redhat-config-network should allow for an additional layer of abstraction in the providerdb, as well as the capability to include additional providerdb files
RFE redhat-config-network should allow for an additional layer of abstraction...
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: 87718
  Show dependency treegraph
Reported: 2004-03-08 20:46 EST by Phillip Heller
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-13 06:20:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phillip Heller 2004-03-08 20:46:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
redhat-config-network should include an additional layer of abstraction.

Currently, the hierarchy is:


I propose that [State] be added between [Country] and [City].

The component that parses providerdb should also understand an include
directive, ie:

[Include] /usr/local/share/redhat-config-network/mycompanydb

With these two additional pieces of functionality, the provider
phonebook could look like this:

- United States of America
| + Alaska
| - Alabama
| | - Birmingham
| | | - Local ISP
| | | - mycompany
| | + Huntsville
| + Arizona

... and so on.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Not yet implemented

Additional info:

Note You need to log in before you can comment on or make changes to this bug.